%define upstream_name    HTML-Latemp-News
%define upstream_version 0.2.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    News Maintenance Module for Latemp (and possibly other 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XML::RSS)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a module that maintains news item for a web-site. It can generate
an RSS feed, as well as a news page, and an HTML newsbox, all from the same
data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 19 2020 tv <tv> 0.2.2-1.mga8
+ Revision: 1636806
- update to 0.2.2

* Sat Feb 15 2020 umeabot <umeabot> 0.2.1-2.mga8
+ Revision: 1524672
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 shlomif <shlomif> 0.2.1-1.mga7
+ Revision: 1382507
- update to 0.2.1

* Sat Mar 30 2019 shlomif <shlomif> 0.2.0-1.mga7
+ Revision: 1382445
- update to 0.2.0

* Thu Sep 20 2018 umeabot <umeabot> 0.1.12-2.mga7
+ Revision: 1283964
- Mageia 7 Mass Rebuild

* Sat May 05 2018 shlomif <shlomif> 0.1.12-1.mga7
+ Revision: 1226435
- update to 0.1.12

* Sun Jun 19 2016 pterjan <pterjan> 0.1.10-2.mga6
+ Revision: 1028232
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.1.10-1.mga6
+ Revision: 919570
- update to 0.1.10

* Fri Jun 26 2015 shlomif <shlomif> 0.1.9-1.mga6
+ Revision: 844378
- update to 0.1.9

* Sun Oct 19 2014 umeabot <umeabot> 0.1.8-4.mga5
+ Revision: 790352
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.1.8-3.mga5
+ Revision: 745963
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.8-2.mga5
+ Revision: 684945
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.1.8-1.mga5
+ Revision: 581181
- update to v0.1.8

* Fri Oct 18 2013 umeabot <umeabot> 0.1.7-3.mga4
+ Revision: 511965
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.7-2.mga3
+ Revision: 368030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 18 2012 shlomif <shlomif> 0.1.7-1.mga3
+ Revision: 281997
- imported package perl-HTML-Latemp-News

